cURL
Authorizations
string
header
required
DashScope API Key,在控制台 API Key 页面(https://agent.console.aliyun.com/settings/apikey)获取。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
批量删除切片,单次最多 10 个
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/index/chunk/delete" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"pipelineId": "your_index_id",
"chunkIds": ["chunk_abc123", "chunk_def456"]
}'{
"code": "Success",
"status_code": 200,
"request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}DashScope API Key,在控制台 API Key 页面(https://agent.console.aliyun.com/settings/apikey)获取。
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/index/chunk/delete" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"pipelineId": "your_index_id",
"chunkIds": ["chunk_abc123", "chunk_def456"]
}'{
"code": "Success",
"status_code": 200,
"request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}